API Tokens

GET/users/api-tokens

List API tokens

List all API tokens for the current user. The token value is masked in list responses.

Request

GET/users/api-tokens
curl -G https://YOUR_DOMAIN/api/users/api-tokens \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/users/api-tokens

Create an API token

Create a new API token for the current user. The full token value is only returned on creation.

Required attributes

  • Name
    name
    Type
    string
    Description
    A name to identify this token My API Token

Request

POST/users/api-tokens
curl -X POST https://YOUR_DOMAIN/api/users/api-tokens \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"name":"My API Token"}'
Loading response...
DELETE/users/api-tokens/{api_token}

Delete an API token

Delete an API token for the current user.

Required attributes

  • Name
    api_token
    Type
    string
    Description
    The UUID of the API token to delete 550e8400-e29b-41d4-a716-446655440000

Request

DELETE/users/api-tokens/{api_token}
curl -X DELETE https://YOUR_DOMAIN/api/users/api-tokens/{api_token} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"api_token":"550e8400-e29b-41d4-a716-446655440000"}'
Loading response...